Using
Fetches a single row by primary key — the same PK-point SELECT plan `/sql`'s `WHERE pk = ?` would use.
applies to v0.5.1GET
/store-api/rel/{domain}/tables/{table}/rows/{pk}
const url = 'https://example.com/store-api/rel/example/tables/example/rows/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/store-api/rel/example/tables/example/rows/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domain
required
string
Relational domain
table
required
string
Table name
pk
required
string
Primary key value
Query Parameters
Section titled “Query Parameters”expand
string
Comma-separated REFERENCES columns to resolve, or “*”
Responses
Section titled “Responses”The row as an object, with an optional _expanded block
Media typeapplication/json
object
Example generated
{}PK parse/type error
Media typetext/plain
string
Domain, table, or row not found
Media typetext/plain
string
Domain is being deleted
Media typetext/plain
string
Response exceeds max_response_bytes
Media typetext/plain
string
Per-domain request budget exceeded
Media typetext/plain
string
Relational engine disabled
Media typetext/plain
string